Abort document upload
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/documents/{documentId}/abort \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"upload_id": "<string>"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/documents/{documentId}/abort"
payload = { "upload_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({upload_id: '<string>'})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/documents/{documentId}/abort', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "com.layerfi.routers.EmptyResponse"
}
}{
"description": "<string>",
"meta": {}
}Multipart Upload
Abort document upload
Aborts a multipart upload and archives the document record. Use this endpoint if you need to cancel an upload that is in progress or if an error occurs during upload. Any uploaded parts will be cleaned up from S3.
POST
/
v1
/
businesses
/
{businessId}
/
documents
/
{documentId}
/
abort
Abort document upload
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
The UUID of the document returned from the create endpoint.
Body
application/json
Parameters for aborting a multipart upload.
The upload ID returned from the create document endpoint.
Response
Upload aborted successfully.
Show child attributes
Show child attributes
āI